%global commit f9032ddd26ffb33fd140e0b9d5ee72c445608077
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate 20210927

Name:           lpf
Version:        0.3
Release:    1%{?dist}
Summary:        Local package factory - build non-redistributable rpms

License:        MIT
URL:            https://github.com/sergiomb2/lpf
Source0:        %{url}/archive/v%{version}/lpf-%{version}%{?rel}.tar.gz
Patch1:         https://github.com/sergiomb2/lpf/commit/4f414697e6977da5fdeff7632ec3ea86ffdfbdfb.patch

BuildArch:      noarch

BuildRequires:  appdata-tools
BuildRequires:  make
BuildRequires:  desktop-file-utils
BuildRequires:  python3-devel
Requires:       hicolor-icon-theme
Requires:       inotify-tools
Requires:       polkit
Requires:       procps-ng
Requires:       rpmdevtools
Requires:       rpm-build
Requires:       shadow-utils
Requires:       sudo
Requires:       dnf
Requires:       dnf-plugins-core
Requires:       zenity
Requires(pre):  shadow-utils
Requires:      python3-gobject-base


%description
lpf (Local Package Factory) is designed to handle two separate
problems:
 - Packages built from sources which does not allow redistribution.
 - Packages requiring user to accept EULA-like terms.

It works by downloading sources, possibly requiring a user to accept
license terms and then building and installing rpm package(s) locally.
Besides being interactive the operation is similar to akmod and dkms.


%prep
%autosetup -p1


%build


%install
make DESTDIR=%{buildroot} install
desktop-file-validate %{buildroot}%{_datadir}/applications/lpf.desktop

%check
appstream-util validate-relax --nonet appdata/lpf-gui.appdata.xml


%pre
getent group pkg-build >/dev/null || groupadd -r pkg-build
getent passwd pkg-build >/dev/null || \
    useradd -r -g pkg-build -d /var/lib/lpf -s /sbin/nologin \
        -c "lpf local package build user" pkg-build
exit 0


%files
%doc README.md LICENSE
%{_bindir}/lpf
%{_bindir}/lpf-gui
%{_rpmconfigdir}/macros.d/macros.lpf
%{_datadir}/lpf
%{_datadir}/applications/lpf.desktop
%{_datadir}/applications/lpf-gui.desktop
%{_datadir}/applications/lpf-notify.desktop
%{_datadir}/icons/hicolor/*/apps/lpf*.png
%{_datadir}/appdata/lpf-gui.appdata.xml
%{_datadir}/man/man1/lpf*
%{_libexecdir}/lpf-kill-pgroup
%attr(440, root, root) %config(noreplace) %{_sysconfdir}/sudoers.d/pkg-build
%attr(2775, pkg-build, pkg-build)/var/lib/lpf


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3-1
- initial build
